<template>
  <div class="backheader-page">
    <van-nav-bar
      :title="headTitle"
      :fixed="isFixed"
      :border="isBorder"
      :left-arrow="arrow"
      @click-left="goBack"
    />
  </div>
</template>
<script>
export default {
  props: {
    /**
     * headTitle传入头部的标题，默认是旅游教育出版社
     * isFixed 是否固定在顶部
     * isBorder 是否显示下边框
     */
    headTitle: {
      type: String,
      default: "教学服务"
    },
    isFixed: {
      type: Boolean,
      default: true
    },
    isBorder: {
      type: Boolean,
      default: true
    },
    arrow: {
      type: Boolean,
      default: true
    }
  },
  methods: {
    goBack() {
      var that = this;
      // $router.go(num)这个方法的参数是一个整数，意思是在 history 记录中向前或者后退多少步
      that.$router.go(-1);
    }
  }
};
</script>
<style lang="stylus"></style>
